Kerbal Space Program - Bug #14633

When two long ships are docked, the resulting ship starts to uncontrollably wobble very fast and
break into few parts (not undocks, breaks with damage).

03/30/2017 11:49 PM - Fifi
Description

| docked two long ships on Kerbin's orbit and the resulting ship started to uncontrollably wobble. It was a very fast and severe
wobble, exceeding the ship's diameter. Within seconds from docking, the ship broke in half - with some part being separated from it
and thrown somewhere into space. It's important that it didn't undock the docking port, but it was broken somewhere in the middle,
with the mentioned part missing.

How to reproduce the bug:

The ship which | tried to dock is Komo 9 Uku 8 Kente 2 and the ship | wanted to dock to was Komo 9 Akalan. They are both orbiting
Kerbin, very close to each other - the attached persistent save was made just a moment before docking attempt (or actually
recovered after the kraken attack using the attached quicksave).

History

#1 - 03/31/2017 12:03 AM - Fifi

- File Komo 9 Akalan.craft added

- File Komo 9 Uku 8 Kente 2.craft added
- File Komo 9 Kemge.craft added

- File Komo 9 Konolym 4.craft added

In case that helps somehow, here's how those ships on orbit were built (I attached the necessary ship files):

e The "Komo 9 Uku 8 Kente 2" on orbit is actually made of "Komo 9 Uku 8 Kente 2" (that small Soyuz-like utility spacecraft) docked to "Komo 9
Kemge" (that cargo of space station connector modules with attached orbital tugs). It's like this, because | forgot to add any power supply to that
space station modules cargo, so it switched off its remote guidance units and | couldn't dock it to anything (so | sent this little ship with solar
panels and two kerbals).

¢ The "Komo 9 Akalan" on orbit is made of "Komo 9 Konolym 4" tractor transfer module (by tractor | mean that it drags the cargo, instead of
pushing it - | hoped it will reduce the wobble, oh well xD) and "Komo 9 Akalan" space station habitation module docked to it.

The overall plan was to drag a few space station modules to Laythe in one mission, in some sort of short space train (I thought that dragging things
should produce less parts stress and wobble than pushing them), hence the unusual design.

| suspect the cause of this bug may either be an earlier bug, related to ship wobbling after reaching orbit, which | reported* (I was told to use
autostruts instead of struts to fix the issue - so far this solution worked well, but looked a bit unrealistic) or some autostruts issue.

(*) I think it was issue 12665 - but | can't confirm this, because when | open the bookmark, the page says that I'm no longer authorized to access this
page (probably because it was a bug from older version of KSP or something).

#2 - 04/07/2017 08:50 AM - bewing
Yes, sorry, the first issue was #12665, but that issue has been archived.

Did you turn off all the reaction wheels except one? Is the total number of autostruts on all the combined ships less than six? (You might be able to
use a few more than 6, but you have to keep the number very low!)

A very long ship will wobble in real life. Making them shorter and wider also reduces wobbliness.

#3 - 05/26/2017 02:58 PM - Squelch

- Severity changed from Critical to Normal

05/01/2024 12




Please do not use critical. See our guide for how priorities are set.
